package com.foundeo.spellchecker;

import com.swabunga.spell.engine.Configuration;
import java.util.HashMap;

public class DynamicConfiguration extends Configuration {
	HashMap boolMap = new HashMap();
	HashMap intMap = new HashMap();
	
	public DynamicConfiguration() {
		setInteger(Configuration.COST_CHANGE_CASE, 10);
		setInteger(Configuration.COST_SUBST_CHARS, 100);
		setInteger(Configuration.COST_SWAP_CHARS, 90);
		setInteger(Configuration.COST_INSERT_CHAR, 95);
		setInteger(Configuration.COST_REMOVE_CHAR, 94);
		setInteger(Configuration.SPELL_THRESHOLD, 150);
		setBoolean(Configuration.SPELL_IGNOREDIGITWORDS, true);
		setBoolean(Configuration.SPELL_IGNOREINTERNETADDRESSES, true);
		setBoolean(Configuration.SPELL_IGNOREMIXEDCASE, true);
		setBoolean(Configuration.SPELL_IGNOREMULTIPLEWORDS, false);
		setBoolean(Configuration.SPELL_IGNORESENTENCECAPITALIZATION, true);
		setBoolean(Configuration.SPELL_IGNOREUPPERCASE, true);
	}
	
	
	public boolean getBoolean(String key) {
		if (boolMap.containsKey(key)) {
			return ((Boolean)boolMap.get(key)).booleanValue();
		}
		return false;
	}

	
	public int getInteger(String key) {
		if (intMap.containsKey(key)) {
			return ((Integer)intMap.get(key)).intValue();
		}
		return 0;
	}

	
	public void setBoolean(String key, boolean value) {
		boolMap.put(key, new Boolean(value));
	}

	
	public void setInteger(String key, int value) {
		intMap.put(key, new Integer(value));
	}
	
}
