<cfset request.dictionary = ExpandPath("dictionaries/english.txt")>
<cfset request.userDictionary = ExpandPath("dictionaries/user/user-dictionary.txt")>
<!--- Higher search depth means more suggestions --->
<cfset Request.searchdepth = 150>

<cfset Request.striphtml = 1>
<!--- other option is wddx, only change this in your own apps --->
<cfset Request.format = "javascript">
<!--- The number of suggestions to load --->
<cfset Request.Suggestions = 14>

<cfif IsDefined("jsvar") AND ReFindNoCase("[^a-zA-Z0-9_.\[\]]", jsvar)>
	<!--- Important, do not remove cfabort --->
	Invalid JSVar.<cfabort>
</cfif>

<cffunction name="getSpellCheckerObject">
	<cfset var jarPath = ExpandPath("lib/foundeo-spell-checker-3.jar")>
	<cfset var urlArray = ArrayNew(1)>
	<cfset var classLoader = "">
	<cfset var spellChecker = "">
	<cfset var serverKey = "foundeoSpellCheckerJavaLoader_" & Hash(GetCurrentTemplatePath())>
	<cftry>
		<cfset spellChecker = CreateObject("java", "com.foundeo.spellchecker.Checker").init()>
		<cfcatch>
			<cfif NOT FileExists(jarPath)>
				<cfset jarPath = Replace(jarPath, ".jar", "-trail.jar")>
				<cfif NOT FileExists(jarPath)>
					<cfthrow message="Missing Jar File: #jarPath#">
				</cfif>
				<cfset serverKey = serverKey & "_trail">
			</cfif>
			<cfset urlArray[1] = jarPath>
			<cfif NOT StructKeyExists(server, serverKey)>
				<cfset server[serverKey] = CreateObject("component", "lib.javaloader.JavaLoader").init(urlArray)>
			</cfif>
			<cfset spellChecker = server[serverKey].create("com.foundeo.spellchecker.Checker").init()>	
		</cfcatch>
	</cftry>
	<cfset spellChecker.addDictionary(request.dictionary)>
	<cfset spellChecker.setUserDictionary(request.userDictionary)>
	<cfset spellChecker.setSearchDepth(Request.searchdepth)>
	<cfset spellChecker.setNumSuggestions(Request.suggestions)>
	<cfreturn spellChecker>
</cffunction>