<h1>Spell Checker Diagnostic Script</h1>
<cfif NOT ListFindNoCase("127.0.0.1,::1", cgi.remote_addr)>
	<p>This script is setup to only allow access from 127.0.0.1 (ipv4) or ::1 (ipv6) by default. You must edit this file or access it from localhost.</p>
	<p>Your IP is <cfoutput>#cgi.remote_addr#</cfoutput></p>
<cfelse>
	<p>This script can only be accessed from localhost by default.</p>
	<p>If you are having a problem with the spell checker please <a href="http://foundeo.com/contact/">contact Foundeo</a> and send a copy of this script.</p>
	<cftry>
		<h2>Internal Java API Test</h2>
		<cfset test = CreateObject("java", "java.util.Hashtable")>
		<cfset test.init()>
		<cfset empty = test.isEmpty()>
		<p>Internal Java Instatiation Appears to be working...</p>
		<cfcatch type="any">
			<p>Error instantiating internal java API's</p>
			<cfdump var="#cfcatch#">
		</cfcatch>
	</cftry>
	<cftry>
		<h2>Spell Checker Instantiation Test</h2>
	 	<cfset spellChecker = getSpellCheckerObject()>
		<cfset jsoutput = spellChecker.checkSpelling("Testr" , "javascript", true)>
		<p>Spell Checker Instantiation works. You are running version: <cfoutput>#spellChecker.getVersionString()#</cfoutput> </p>
		<cfcatch type="any">		
			<p>Error Instantiating Spell Checker Objects.</p>
			<p>You may need to add the jar file to your Java ClassPath.</p>
			<cfdump var="#cfcatch#" label="Exception Details">
		</cfcatch>
	</cftry>
	<cftry>
		<h2>Dictionary File Test</h2>
		<cfoutput>
				Dictionary Path: #request.dictionary#<br />
				Dictionary File Exists: #FileExists(request.dictionary)#<br />
				User Dictionary Path: #request.userDictionary#<br />
				User Dictionary Exists: #FileExists(request.userDictionary)#<br />
		</cfoutput>
		<cfset f = CreateObject("java", "java.io.File").init(request.userDictionary)>
		<cfoutput>
			ColdFusion Can Read User Dictionary: #YesNoFormat(f.canRead())#<br />
			ColdFusion Can Write to User Dictionary: #YesNoFormat(f.canWrite())#<br />
		</cfoutput>
		<cfcatch type="any">
			<p>Error in Dictionary File Test</p>
			<cfdump var="#cfcatch#">
		</cfcatch>
	</cftry>
	<cftry>
		<cfoutput>
			<h2>Server Platform Information</h2>
			<cfif IsDefined("server.coldfusion.productversion")>
				ColdFusion Version: #server.coldfusion.productversion#<br />
			</cfif>
			
				OS Version: <cfif IsDefined("server.os.name")> #server.os.name#</cfif>
					<cfif IsDefined("server.os.version")> #server.os.version#</cfif>
					<cfif IsDefined("server.os.additionalinformation")> #server.os.additionalinformation#</cfif>
					<cfif IsDefined("server.os.arch")> #server.os.arch#</cfif>
					<br />
			<cfset sys = CreateObject("java", "java.lang.System")>
				Java Version: #sys.getProperty("java.version")#<br />
				Java Class Path: #sys.getProperty("java.class.path")#<br />
		</cfoutput>
		<cfcatch>
			<p>Error getting cf version info</p>
			<cfdump var="#cfcatch#">
		</cfcatch>
	</cftry>
</cfif>